> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Amazon Reviews

> Fetch a single Amazon review’s details, media, and metadata.



## OpenAPI

````yaml POST /amazon/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /amazon/reviews:
    post:
      description: Fetch a single Amazon review’s details, media, and metadata.
      requestBody:
        description: Amazon review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AmazonReviewRequest'
        required: true
      responses:
        '200':
          description: Review fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AmazonReviewResponse'
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    AmazonReviewRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper Amazon Review Page URL
        is_text_formatted:
          type: boolean
          description: Controls text formatting in output
          default: true
    AmazonReviewResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched reviews
          items:
            type: object
            properties:
              query:
                type: string
                description: Original query URL
              author_name:
                type:
                  - string
                  - 'null'
                description: Name of the review author
              review_rating:
                type:
                  - string
                  - number
                  - 'null'
                description: Rating given in the review
              author_profile_image_url:
                type:
                  - string
                  - 'null'
                description: URL to the author's profile image
              author_country:
                type:
                  - string
                  - 'null'
                description: Country
              author_profile_url:
                type:
                  - string
                  - 'null'
                description: URL of the author's profile
              review_title:
                type:
                  - string
                  - 'null'
                description: Title of the review
              review_text:
                type:
                  - string
                  - 'null'
                description: Content of the review
              author_badge:
                type:
                  - string
                  - 'null'
                description: Badge of the author
              review_date:
                type:
                  - string
                  - 'null'
                description: Date when the review was posted
              review_details:
                type:
                  - string
                  - 'null'
                description: Additional metadata about the wall of love
              product_details:
                type:
                  - string
                  - 'null'
                description: Additional metadata about the wall of love
              helpful_count:
                type:
                  - number
                  - 'null'
                description: Number of upvotes
              review_image_urls:
                type: array
                items:
                  type: string
                description: URLs of review images
              review_video_urls:
                type: array
                items:
                  type: string
                description: URL of the review video
              review_media:
                type: array
                description: ' URL and type of the media'
                items:
                  type: object
                  properties:
                    review_media_type:
                      type: string
                    review_media_url:
                      type: string
              video_thumbnail_url:
                type:
                  - string
                  - 'null'
                description: URL of the review video thumbnail
              review_link:
                type:
                  - string
                  - 'null'
                description: Link to the review
              is_verified_purchase:
                type:
                  - boolean
                  - 'null'
                description: Whether the review is verified
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````